close all force; clear; clc
mainpath=pwd; addpath(pwd)

%% Make Split half contingencies and psychophysical values

load('P123_Contingency_Data.mat')
load('P123_Gen_Data45.mat')
Contingency_1_half=squeeze(sum(Contingency_All(:,:,:,1:end/2,:,sub_final),4));
Contingency_1_half(5,:,:,:,:)=Contingency_1_half(5,:,:,:,:)./size(Contingency_All,3);
Contingency_1_half(Contingency_1_half==0)=1./2*size(Contingency_All,3);
Contingency_2_half=squeeze(sum(Contingency_All(:,:,:,end/2+1:end,:,sub_final),4));
Contingency_2_half(5,:,:,:,:)=Contingency_2_half(5,:,:,:,:)./size(Contingency_All,3);
Contingency_2_half(Contingency_2_half==0)=1./2*size(Contingency_All,3);

for sub=1:sub_tot
    for con=1:size(Contingency_All,5)
        [theta_est_1(sub,:,con), theta_err_1(:,sub,con), LLF_1(sub,con), ...
            ctable_mod_1{sub,con}, ctable_fit_1{sub,con}] = mADC_model_fit(Contingency_1_half(:,:,:,con,sub));
        [theta_est_2(sub,:,con), theta_err_2(:,sub,con), LLF_2(sub,con), ...
            ctable_mod_2{sub,con}, ctable_fit_2{sub,con}] = mADC_model_fit(Contingency_2_half(:,:,:,con,sub));
    end
end

save('Data\Half_Cont_Psyc45')