function graph_plot_psychophysical(theta_est_all,cvals,con,loc,lnstylopts,colc,lnwdth)
global M K svals
M = 1; % Locations tested
K = 4; % Angles tested
svals = cvals; % Angles tested normalized

%% let's try some plotting
for sb=1:size(theta_est_all,1)
    dmaxe   = theta_est_all(sb,1:M);
    ne      = theta_est_all(sb,M+1:2*M);
    s50e    = theta_est_all(sb,2*M+1:3*M);
%     ce_all(:,sb)      = theta_est_all(sb,3*M+1:4*M);
    [psyc_mate_all(:,:,sb), sivals] = get_interp_psycmat(dmaxe, ne, s50e);
end
psyc_mate=squeeze(nanmean(psyc_mate_all,3));
% ce=squeeze(nanmean(ce_all,2));
plot(sivals, psyc_mate(1,:), 'Linestyle', lnstylopts{con}, 'Color', colc(loc,:), 'Linewidth', lnwdth);%%
% plot([min(sivals), max(sivals)], [ce(loc), ce(loc)], 'Linestyle', lnstylopts{con}, 'Color', colc(loc,:), 'Linewidth', 1);
hold on;
end

function [dmat, sivals] = get_interp_psycmat(dmax, n, s50)
% create an matrix of psychophysical functions for each location
global M svals

sivals = linspace(min(svals), max(svals), 1000);
dmat = nan(M, length(sivals));
for i = 1:M
    dmat(i,:) = dmax(i) * (sivals.^n(i))./(sivals.^n(i) + s50(i)^n(i));
end
end
