function [ chisq_dat] = chi_test(Oi, Ei, niter)
if ~exist('niter', 'var')
    niter = 1e4;
end

%Oi(Oi == 0) = 0.5; 
Ei(Ei == 0) = 0.5;

Oi = round(Oi);
% from Ei get pi, which is the model Oi is being compared against
ntr = repmat(sum(Ei, 2)', size(Ei, 2),1)';

pi  = Ei./ntr;
nOs = sum(Oi, 2);

for i = 1:size(Ei, 1),
    cumprs(i,:) = [0, cumsum(pi(i,:))];
end

chisq_dat = sum(((Oi(:)-Ei(:)).^2)./Ei(:));

