function graph_plot_psychometric(angles,accuracy,color,lnstylopts,lnwdth)

x0(1) = 1/range(angles);
x0(2) = mean(angles); % shift -- midpoint is good starting point
x0(3) = range(accuracy);

lb = [0 0 0];
ub = [min(angles) max(angles) 100];
F = @(x,xdata)(x(3)./(1+exp(-x(1).*(xdata-x(2)))));

[x,~,~,~,~] = lsqcurvefit(F,x0,angles,accuracy, lb, ub);

p=linspace(angles(1),angles(end),1000);
a=F(x,p);
plot(p,a,'Color',color, 'Linewidth', lnwdth, 'Linestyle', lnstylopts);
hold on;

end